Package Details: python-elpy 1.32.0-1

Git Clone URL: https://aur.archlinux.org/python-elpy.git (read-only, click to copy)
Package Base: python-elpy
Description: Package to bring powerful Python editing to Emacs. Python library only.
Upstream URL: https://github.com/jorgenschaefer/elpy
Licenses: GPL
Submitter: renato_garcia
Maintainer: rpodgorny
Last Packager: rpodgorny
Votes: 3
Popularity: 0.000000
First Submitted: 2015-11-26 15:21
Last Updated: 2019-11-28 11:27

Dependencies (6)

Required by (2)

Sources (1)

Latest Comments

1 2 Next › Last »

rpodgorny commented on 2019-11-28 11:32

@panch93 updated. please use the "Flag package out-of-date" function next time. ;-)

panch93 commented on 2019-11-28 11:17

This package needs to be updated to version 1.32.

The version mismatch with emacs-elpy v1.32 is creating issues.

rpodgorny commented on 2019-01-08 13:21

@haawda, why is that important? please post the exact string and will include it, thanks...

haawda commented on 2019-01-04 22:53

Please rename the downloaded tarball to elpy-pkgname.tar.gz, using :: syntax in sources array.

rpodgorny commented on 2018-05-16 18:25

done. thanks for the feedback.

ebiadsu commented on 2018-05-16 17:47

In 1.18 importmagic has been removed see https://github.com/jorgenschaefer/elpy/commit/687c6bda827fb94e29f5c3b4692d297bd0eee459#diff-ef9433b15a3e8fc5d09dda210feca0c4R13.

On the other side the README suggest to install flake8 and yapf. Could we add those optional dependencies?

WhittlesJr commented on 2017-04-26 20:03

Also, the .py files in /usr/lib/python3.6/site-packages/elpy are getting 660 permissions, when they should probably have 644. (I'm having the same problem with python-epc and python-sexpdata).

Not sure if this is something I'm doing wrong on my end or if the PKGBUILDs need fixing.

WhittlesJr commented on 2017-04-26 19:57

Dependency for python-setuptools, perhaps?

rpodgorny commented on 2016-11-04 13:50

please update or orphan, thank you...

renato_garcia commented on 2015-12-03 12:23

Granted, I will do it soon.